Project Chrono: chrono::utils::ChHCPSampler< T > Class Template Reference

Public Types | Public Member Functions | List of all members
chrono::utils::ChHCPSampler< T > Class Template Reference
Chrono::Engine » Utility classes

## Description

template<typename T = double>
class chrono::utils::ChHCPSampler< T >

Sampler for 3D volumes using a Hexagonally Close Packed structure.

`#include <ChUtilsSamplers.h>`

Inheritance diagram for chrono::utils::ChHCPSampler< T >:
[legend]
Collaboration diagram for chrono::utils::ChHCPSampler< T >:
[legend]

## Public Types
typedef Types< T >::PointVector | PointVector
typedef ChSampler< T >::VolumeType | VolumeType
Public Types inherited from chrono::utils::ChSampler< double >
typedef Types< double >::PointVector | PointVector

## Public Member Functions
| ChHCPSampler (T separation)
Public Member Functions inherited from chrono::utils::ChSampler< double >
PointVector | SampleBox (const ChVector3< double > &center, const ChVector3< double > &halfDim)
| Return points sampled from the specified box volume.
PointVector | SampleSphere (const ChVector3< double > &center, double radius)
| Return points sampled from the specified spherical volume.
PointVector | SampleCylinderX (const ChVector3< double > &center, double radius, double halfHeight)
| Return points sampled from the specified X-aligned cylindrical volume.
PointVector | SampleCylinderY (const ChVector3< double > &center, double radius, double halfHeight)
| Return points sampled from the specified Y-aligned cylindrical volume.
PointVector | SampleCylinderZ (const ChVector3< double > &center, double radius, double halfHeight)
| Return points sampled from the specified Z-aligned cylindrical volume.
virtual double | GetSeparation () const
| Get the current value of the suggested minimum separation.
virtual void | SetSeparation (double separation)
| Change the suggested minimum separation for subsequent calls to Sample.

## Additional Inherited Members
Protected Types inherited from chrono::utils::ChSampler< double >
enum | VolumeType
Protected Member Functions inherited from chrono::utils::ChSampler< double >
| ChSampler (double separation)
virtual PointVector | Sample (VolumeType t)=0
| Worker function for sampling the given domain.
bool | accept (VolumeType t, const ChVector3< double > &p) const
| Utility function to check if a point is inside the sampling volume.
Protected Attributes inherited from chrono::utils::ChSampler< double >
double | m_separation
| inter-particle separation
double | m_fuzz
| fuzz value to account for roundoff error
ChVector3< double > | m_center
| center of the sampling volume
ChVector3< double > | m_size
| half dimensions of the bounding box of the sampling volume

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/utils/ChUtilsSamplers.h